apiVersion: v1
kind: ConfigMap
metadata:
  name: nextcloud-configmap
data:
  config.php: |
    <?php
    $CONFIG = array (
      'app_install_overwrite' =>
        array (
          0 => 'globalsiteselector',
        ),
      'apps_paths' =>
        array (
          0 =>
            array (
              'path' => '/var/www/html/apps',
              'url' => '/apps',
              'writable' => false,
            ),
          1 =>
            array (
              'path' => '/var/www/html/custom_apps',
              'url' => '/custom_apps',
              'writable' => true,
            ),
        ),
      'appstoreenabled' => false,
      'config_is_read_only' => true,
      'csrf.disabled' => true,
      'datadirectory' => '/var/www/html/data',
      'dbhost' => '{{MYSQL_HOST}}:{{MYSQL_PORT}}',
      'dbname' => '{{MYSQL_DATABASE}}',
      'dbpassword' => '{{MYSQL_PASSWORD}}',
      'dbport' => '{{MYSQL_PORT}}',
      'dbtableprefix' => 'oc_',
      'dbtype' => 'mysql',
      'dbuser' => '{{MYSQL_USER}}',
      'default_phone_region' => 'SE',
      'forcessl' => true,
      'gs.enabled' => 'true',
      'gs.federation' => 'global',
      'gs.trustedHosts' => ['*.sunet.se'],
      'gss.jwt.key' => '{{GSS_JWT_KEY}}',
      'gss.master.url' => '{{GSS_MASTER_URL}}',
      'gss.mode' => 'slave',
      'gss.user.discovery.module' => '\\OCA\\GlobalSiteSelector\\UserDiscoveryModules\\ManualUserMapping',
      'installed' => true,
      'instanceid' => '{{NEXTCLOUD_INSTANCEID}}',
      'integrity.check.disabled' => true,
      'log_type' => 'file',
      'loglevel' => 0,
      'lookup_server' => '{{LOOKUP_SERVER}}',
      'mail_domain' => '{{MAIL_DOMAIN}}',
      'mail_from_address' => '{{MAIL_FROM_ADDRESS}}',
      'mail_sendmailmode' => 'smtp',
      'mail_smtpauth' => 1,
      'mail_smtpauthtype' => 'LOGIN',
      'mail_smtphost' => '{{MAIL_SMTPHOST}}',
      'mail_smtpmode' => 'smtp',
      'mail_smtpname' => '{{MAIL_SMTPNAME}}',
      'mail_smtppassword' => '{{MAIL_SMTPPASSWORD}}',
      'mail_smtpport' => '587',
      'mail_smtpsecure' => 'tls',
      'mail_template_class' => 'OCA\DriveEmailTemplate\EMailTemplate',
      'memcache.distributed' => '\\OC\\Memcache\\Redis',
      'memcache.local' => '\\OC\\Memcache\\APCu',
      'memcache.locking' => '\\OC\\Memcache\\Redis',
      'mysql.utf8mb4' => true,
      'objectstore' =>
        array (
          'class' => '\\OC\\Files\\ObjectStore\\S3',
          'arguments' =>
            array (
              'autocreate' => false,
              'bucket' => '{{OBJECTSTORE_S3_BUCKET}}',
              'hostname' => '{{OBJECTSTORE_S3_HOST}}',
              'key' => '{{OBJECTSTORE_S3_KEY}}',
              'legacy_auth' => false,
              'objectPrefix' => 'urn:oid:',
              'port' => '',
              'region' => '{{OBJECTSTORE_S3_REGION}}',
              'secret' => '{{OBJECTSTORE_S3_SECRET}}',
              'use_path_style' => true,
              'use_ssl' => true,
            ),
        ),
      'overwrite.cli.url' => 'https://{{SITE_NAME}}',
      'overwritehost' => '{{SITE_NAME}}',
      'overwriteprotocol' => 'https',
      'passwordsalt' => '{{NEXTCLOUD_PASSWORDSALT}}',
      'secret' => '{{NEXTCLOUD_SECRET}}',
      'redis' =>
        array (
          'host' => '{{REDIS_HOST}}',
          'port' => 6379,
        ),
      'skeletondirectory' => '',
      'templatedirectory' => '',
      'trusted_domains' =>
        array (
          0 => '{{NEXTCLOUD_TRUSTED_DOMAINS}}'
        ),
      'trusted_proxies' =>
        array (
          0 => '10.0.0.0/8'
        ),
      'twofactor_enforced' => 'true',
      'twofactor_enforced_groups' =>
        array (
          0 => 'admin',
        ),
      'updatechecker' => false,
      'version' => '{{NEXTCLOUD_VERSION_STRING}}',
    );
